WordPress.org

Ready to get started?Download WordPress

Forums

WordPress SEO by Yoast
Plug no longer working after upgrade (2 posts)

  1. spellinn
    Member
    Posted 5 months ago #

    I'm getting the following PHP errors and Yoast SEO is no longer working.

    This happened around the 3.7 upgrade, although there has been a PHP upgrade to 5.4 also around the same time, so I'm not sure which one caused Yoast to fail.

    From the error log:

    [06-Nov-2013 22:34:37 UTC] PHP Warning: Creating default object from empty value in /home/<mypath>/public_html/wp-content/plugins/wordpress-seo/frontend/class-frontend.php on line 406

    I'm using the latest version of the plug-in (1.4.19) - any suggestions welcome.

    Cheers

    Neil

    http://wordpress.org/plugins/wordpress-seo/

  2. jrf
    Member
    Posted 5 months ago #

    Line 406 is only called on '404 Page not found' error pages and by the sounds of it another plugin may be interfering with the WP $post object causing this error.

    Please try with all other plugins disabled and using a default WP theme. If it works then, it's not a WP SEO issue. Enable each of the other plugins in turn, testing in between until you find the one where the error starts appearing. That'll be the culprit interfering with the $post object.

    If the error still happens with all other plugins disabled and using a default WP theme, please let me know.

Reply

You must log in to post.

About this Plugin

About this Topic

Tags